## linux-rpi 6.12.34

=== security/lockdown/Makefile ===
obj-$(CONFIG_SECURITY_LOCKDOWN_LSM) += lockdown.o
