=== arch/arm/mach-npcm/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_ARCH_WPCM450)	+= wpcm450.o
obj-$(CONFIG_ARCH_NPCM7XX)	+= npcm7xx.o
obj-$(CONFIG_SMP)		+= platsmp.o headsmp.o
