=== lib/math/tests/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only

obj-$(CONFIG_INT_POW_TEST) += int_pow_kunit.o
