=== drivers/media/platform/aspeed/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_VIDEO_ASPEED) += aspeed-video.o
