=== debian/changelog ===
linux-rpi (1:6.12.34-1+rpt1+0kali2) kali-dev; urgency=medium

  * Prepare for Release
  * Update rpi patch

 -- Steev Klimaszewski <steev@kali.org>  Mon, 21 Jul 2025 10:53:54 -0500

linux-rpi (1:6.12.34-1+rpt1+0kali1) kali-dev; urgency=medium

  [ Serge Schneider ]
  * Raspberry Pi OS release
  * Add v8-rt kernel support
  * Update Raspberry Pi patch
  * Update debian/config
  * Linux commit: 8f77e03530f65209a377d25023e912b288e039cd

 -- Steev Klimaszewski <steev@kali.org>  Tue, 15 Jul 2025 20:22:35 -0500

linux (1:6.12.25-1+rpt1) bookworm; urgency=medium

  * Raspberry Pi OS release
  * Update Raspberry Pi patch
  * Update debian/config
  * Linux commit: 3dd2c2c507c271d411fab2e82a2b3b7e0b6d3f16

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 30 Apr 2025 13:45:17 +0100

linux (1:6.12.20-1+rpt1~bpo12+1) bookworm; urgency=medium

  * Raspberry Pi OS release
  * d/control: Update Maintainer, Homepage and Vcs information
  * Remove unnecessary patches
  * Disable unnecessary architectures
  * Don't sign arm64 kernels
  * Compress arm64 kernels
  * Add epoch support in version string
  * Allow initramfs generation to be skipped in postinst
  * Add rpi featureset
  * Install overlays README
  * Add +rpt to abiname
  * Add update helper script
  * Refresh gitignore.patch
  * Linux commit: cd231d4775b14f228606c09f219b48308f6ab3aa

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Mar 2025 16:49:28 +0000

linux-rpi (1:6.12.20-1+rpt1+0kali1) kali-dev; urgency=medium

  * Update with Kali patches
  * Update Maintainer field
  * Update Vcs-* fields
  * Update for Kali Packaging
  * Mark packages arch specific and remove binary-indep
  * Update lintian-overrides
  * Update for Kali Packaging
  * Add back linux-kbuild package
  * Update for Kali Packaging
  * Make headers-common an all architecture package again
  * Update for Kali Packaging
  * Only run build-arch on supported arches
  * Update for Kali Packaging
  * Update rules to only build on supported arches
  * Update for Kali Packaging
  * Revert "Mark packages arch specific and remove binary-indep"
  * Update for Kali Packaging
  * Disable CI builds
  * Make config package architecture specific
  * Update for Kali Packaging
  * d/patches: Update wifi injection patch

 -- Steev Klimaszewski <steev@kali.org>  Tue, 15 Apr 2025 13:10:03 -0500

linux-rpi (1:6.12.20-1+rpt1) bookworm; urgency=medium

  * Raspberry Pi OS release
  * d/control: Update Maintainer, Homepage and Vcs information
  * Remove unnecessary patches
  * Disable unnecessary architectures
  * Don't sign arm64 kernels
  * Compress arm64 kernels
  * Add epoch support in version string
  * Allow initramfs generation to be skipped in postinst
  * Add rpi featureset
  * Install overlays README
  * Add +rpt to abiname
  * Add update helper script
  * Refresh gitignore.patch
  * Linux commit: cd231d4775b14f228606c09f219b48308f6ab3aa

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Mar 2025 16:49:28 +0000

linux (6.12.9-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports:
    - d/salsa-ci.yml: Set RELEASE to bookworm-backports
    - Revert compiler version to gcc-12
    - debian_linux.config_v2: Add workaround for a bug in older dacite

 -- Ben Hutchings <benh@debian.org>  Mon, 20 Jan 2025 00:46:37 +0100

linux (6.12.9-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.12.9
    - [x86] platform/x86: mlx-platform: call pci_dev_put() to balance the
      refcount
    - drm/amdgpu: fix backport of commit 73dae652dcac (Closes: #1092187)
    - [x86] platform/x86: thinkpad-acpi: Add support for hotkey 0x1401
    - [x86] platform/x86: hp-wmi: mark 8A15 board for timed OMEN thermal profile
    - selinux: ignore unknown extended permissions
    - mmc: sdhci-msm: fix crypto key eviction
    - [arm64,armhf] pmdomain: imx: gpcv2: fix an OF node reference leak in
      imx_gpcv2_probe()
    - pmdomain: core: add dummy release function to genpd device
    - tracing: Have process_string() also allow arrays
    - block: lift bio_is_zone_append to bio.h
    - btrfs: use bio_is_zone_append() in the completion handler
    - RDMA/bnxt_re: Remove always true dattr validity check
    - sched_ext: fix application of sizeof to pointer
    - RDMA/mlx5: Enforce same type port association for multiport RoCE
    - RDMA/bnxt_re: Fix max SGEs for the Work Request
    - RDMA/bnxt_re: Avoid initializing the software queue for user queues
    - RDMA/bnxt_re: Avoid sending the modify QP workaround for latest adapters
    - RDMA/core: Fix ENODEV error for iWARP test over vlan
    - nvme-pci: 512 byte aligned dma pool segment quirk
    - wifi: iwlwifi: fix CRF name for Bz
    - RDMA/bnxt_re: Fix the check for 9060 condition
    - RDMA/bnxt_re: Add check for path mtu in modify_qp
    - RDMA/bnxt_re: Fix reporting hw_ver in query_device
    - RDMA/nldev: Set error code in rdma_nl_notify_event
    - RDMA/siw: Remove direct link to net_device
    - RDMA/bnxt_re: Fix max_qp_wrs reported
    - RDMA/bnxt_re: Disable use of reserved wqes
    - RDMA/bnxt_re: Add send queue size check for variable wqe
    - RDMA/bnxt_re: Fix MSN table size for variable wqe mode
    - RDMA/bnxt_re: Fix the locking while accessing the QP table
    - net: phy: micrel: Dynamically control external clock of KSZ PHY
    - [arm64] drm/bridge: adv7511_audio: Update Audio InfoFrame properly
    - netdev-genl: avoid empty messages in napi get
    - [arm64] RDMA/hns: Fix mapping error of zero-hop WQE buffer
    - [arm64] RDMA/hns: Fix accessing invalid dip_ctx during destroying QP
    - [arm64] RDMA/hns: Fix warning storm caused by invalid input in IO path
    - [arm64] RDMA/hns: Fix missing flush CQE for DWQE
    - drm/xe: Revert some changes that break a mesa debug tool
    - drm/xe/pf: Use correct function to check LMEM provisioning
    - drm/xe: Fix fault on fd close after unbind

