=== debian/control ===
Source: linux-rpi
Section: kernel
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.com>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 13), python3:native, python3-dacite:native, python3-jinja2:native, quilt, dh-python <!pkg.linux.notools>
Build-Depends-Arch: bc <!pkg.linux.nokernel>, libssl-dev:native <!pkg.linux.nokernel>, libssl-dev <!pkg.linux.notools>, openssl <!pkg.linux.nokernel>, libelf-dev:native <!pkg.linux.nokernel>, libelf-dev <!pkg.linux.notools>, lz4 [amd64 arm64] <!pkg.linux.nokernel>, pahole <!pkg.linux.nokernel> | dwarves:native (>= 1.16~) <!pkg.linux.nokernel>, cpio <!pkg.linux.nokernel>, xz-utils <!pkg.linux.nokernel>, bison <!pkg.linux.nokernel>, bison <!pkg.linux.notools>, flex <!pkg.linux.nokernel>, flex <!pkg.linux.notools>, gcc-12 [arm64 armel armhf] <!cross !pkg.linux.nokernel>, gcc-12-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel>, gcc-12-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel>, gcc-12-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel>, rsync [arm64 armel armhf] <!pkg.linux.nokernel !pkg.linux.quick>, kernel-wedge (>= 2.105~) [arm64 armel armhf] <!pkg.linux.nokernel !pkg.linux.quick>, kmod [arm64 armel armhf] <!pkg.linux.nokernel !pkg.linux.quick>
Build-Depends-Indep: patchutils <!pkg.linux.nosource !pkg.linux.quick>, xz-utils <!pkg.linux.nosource !pkg.linux.quick>
Rules-Requires-Root: no
Homepage: https://github.com/raspberrypi/linux/
Vcs-Browser: https://github.com/RPi-Distro/linux-packaging/
Vcs-Git: https://github.com/RPi-Distro/linux-packaging.git

Package: linux-headers-6.12.34+rpt-common-rpi
Architecture: all
Build-Profiles: <!pkg.linux.nokernel>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.12.34+rpt-rpi
 This package provides the common kernel header files for Linux kernel
 version 6.12.34+rpt with the Raspberry Pi featureset, generally used for
 building out-of-tree kernel modules.  These files are going to be
 installed into /usr/src/linux-headers-6.12.34+rpt-common-rpi.
 .
 To obtain a complete set of headers you also need to install the
 linux-headers-6.12.34+rpt-(flavour) package, matching the flavour of the
 kernel you intend the build for.

Package: linux-headers-6.12.34+rpt-rpi-2712
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: linux-headers-6.12.34+rpt-common-rpi (= ${source:Version}), linux-image-6.12.34+rpt-rpi-2712 (= ${binary:Version}) | linux-image-6.12.34+rpt-rpi-2712-unsigned (= ${binary:Version}), linux-kbuild-6.12.34+rpt, ${misc:Depends}, gcc-12
Description: Header files for Linux 6.12.34+rpt-rpi-2712
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.12.34+rpt-rpi-2712, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.12.34+rpt-rpi-2712, and can be used for building
 modules that load into the kernel provided by the
 linux-image-6.12.34+rpt-rpi-2712 package.

Package: linux-headers-6.12.34+rpt-rpi-v6
Architecture: armel
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: linux-headers-6.12.34+rpt-common-rpi (= ${source:Version}), linux-image-6.12.34+rpt-rpi-v6 (= ${binary:Version}) | linux-image-6.12.34+rpt-rpi-v6-unsigned (= ${binary:Version}), linux-kbuild-6.12.34+rpt, ${misc:Depends}, gcc-12
Description: Header files for Linux 6.12.34+rpt-rpi-v6
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.12.34+rpt-rpi-v6, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.12.34+rpt-rpi-v6, and can be used for building
 modules that load into the kernel provided by the
 linux-image-6.12.34+rpt-rpi-v6 package.

Package: linux-headers-6.12.34+rpt-rpi-v7
Architecture: armhf
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: linux-headers-6.12.34+rpt-common-rpi (= ${source:Version}), linux-image-6.12.34+rpt-rpi-v7 (= ${binary:Version}) | linux-image-6.12.34+rpt-rpi-v7-unsigned (= ${binary:Version}), linux-kbuild-6.12.34+rpt, ${misc:Depends}, gcc-12
Description: Header files for Linux 6.12.34+rpt-rpi-v7
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.12.34+rpt-rpi-v7, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.12.34+rpt-rpi-v7, and can be used for building
 modules that load into the kernel provided by the
 linux-image-6.12.34+rpt-rpi-v7 package.

Package: linux-headers-6.12.34+rpt-rpi-v7l
Architecture: armhf
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: linux-headers-6.12.34+rpt-common-rpi (= ${source:Version}), linux-image-6.12.34+rpt-rpi-v7l (= ${binary:Version}) | linux-image-6.12.34+rpt-rpi-v7l-unsigned (= ${binary:Version}), linux-kbuild-6.12.34+rpt, ${misc:Depends}, gcc-12
Description: Header files for Linux 6.12.34+rpt-rpi-v7l
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.12.34+rpt-rpi-v7l, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.12.34+rpt-rpi-v7l, and can be used for building
 modules that load into the kernel provided by the
 linux-image-6.12.34+rpt-rpi-v7l package.

Package: linux-headers-6.12.34+rpt-rpi-v8
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: linux-headers-6.12.34+rpt-common-rpi (= ${source:Version}), linux-image-6.12.34+rpt-rpi-v8 (= ${binary:Version}) | linux-image-6.12.34+rpt-rpi-v8-unsigned (= ${binary:Version}), linux-kbuild-6.12.34+rpt, ${misc:Depends}, gcc-12
Description: Header files for Linux 6.12.34+rpt-rpi-v8
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.12.34+rpt-rpi-v8, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.12.34+rpt-rpi-v8, and can be used for building
 modules that load into the kernel provided by the
 linux-image-6.12.34+rpt-rpi-v8 package.

Package: linux-headers-rpi-2712
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Depends: linux-headers-6.12.34+rpt-rpi-2712 (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux rpi-2712 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel rpi-2712 configuration.

Package: linux-headers-rpi-v6
Architecture: armel
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Depends: linux-headers-6.12.34+rpt-rpi-v6 (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux rpi-v6 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel rpi-v6 configuration.

Package: linux-headers-rpi-v7
Architecture: armhf
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Depends: linux-headers-6.12.34+rpt-rpi-v7 (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux rpi-v7 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel rpi-v7 configuration.

Package: linux-headers-rpi-v7l
Architecture: armhf
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Depends: linux-headers-6.12.34+rpt-rpi-v7l (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux rpi-v7l configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel rpi-v7l configuration.

Package: linux-headers-rpi-v8
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Depends: linux-headers-6.12.34+rpt-rpi-v8 (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux rpi-v8 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel rpi-v8 configuration.

Package: linux-image-6.12.34+rpt-rpi-2712
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64]
Recommends: apparmor [arm64]
Suggests: firmware-linux-free, linux-doc-6.12, debian-kernel-handbook
Breaks: fwupdate (<< 12-7) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64]
Description: Linux 6.12 for Raspberry Pi 2712, Raspberry Pi
 The Linux kernel 6.12 and modules for use on Raspberry Pi 2712 kernel.
 .
 This kernel includes the patches for Raspberry Pi platforms.

Package: linux-image-6.12.34+rpt-rpi-2712-dbg
Architecture: arm64
Section: debug
Priority: optional
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.quick>
Depends: ${misc:Depends}
Description: Debug symbols for linux-image-6.12.34+rpt-rpi-2712
 This package provides the detached debug symbols for the Linux kernel and
 modules in linux-image-6.12.34+rpt-rpi-2712.

Package: linux-image-6.12.34+rpt-rpi-v6
Architecture: armel
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [armel] | linux-initramfs-tool [armel]
Recommends: apparmor [armel]
Suggests: firmware-linux-free, linux-doc-6.12, debian-kernel-handbook
Breaks: fwupdate (<< 12-7) [armel], wireless-regdb (<< 2019.06.03-1~) [armel], initramfs-tools (<< 0.120+deb8u2) [armel]
Description: Linux 6.12 for Rasbperry Pi v6, Raspberry Pi
 The Linux kernel 6.12 and modules for use on Raspberry Pi v6 kernel.
 .
 This kernel includes the patches for Raspberry Pi platforms.

Package: linux-image-6.12.34+rpt-rpi-v6-dbg
Architecture: armel
Section: debug
Priority: optional
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.quick>
Depends: ${misc:Depends}
Description: Debug symbols for linux-image-6.12.34+rpt-rpi-v6
 This package provides the detached debug symbols for the Linux kernel and
 modules in linux-image-6.12.34+rpt-rpi-v6.

Package: linux-image-6.12.34+rpt-rpi-v7
Architecture: armhf
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [armhf] | linux-initramfs-tool [armhf]
Recommends: apparmor [armhf]
Suggests: firmware-linux-free, linux-doc-6.12, debian-kernel-handbook
Breaks: fwupdate (<< 12-7) [armhf], wireless-regdb (<< 2019.06.03-1~) [armhf], initramfs-tools (<< 0.120+deb8u2) [armhf]
Description: Linux 6.12 for Raspberry Pi v7, Raspberry Pi
 The Linux kernel 6.12 and modules for use on Raspberry Pi v7 kernel.
 .
 This kernel includes the patches for Raspberry Pi platforms.

Package: linux-image-6.12.34+rpt-rpi-v7-dbg
Architecture: armhf
Section: debug
Priority: optional
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.quick>
Depends: ${misc:Depends}
Description: Debug symbols for linux-image-6.12.34+rpt-rpi-v7
 This package provides the detached debug symbols for the Linux kernel and
 modules in linux-image-6.12.34+rpt-rpi-v7.

Package: linux-image-6.12.34+rpt-rpi-v7l
Architecture: armhf
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [armhf] | linux-initramfs-tool [armhf]
Recommends: apparmor [armhf]
Suggests: firmware-linux-free, linux-doc-6.12, debian-kernel-handbook
Breaks: fwupdate (<< 12-7) [armhf], wireless-regdb (<< 2019.06.03-1~) [armhf], initramfs-tools (<< 0.120+deb8u2) [armhf]
Description: Linux 6.12 for Raspberry Pi v7, Raspberry Pi
 The Linux kernel 6.12 and modules for use on Raspberry Pi v7l kernel.
 .
 This kernel includes the patches for Raspberry Pi platforms.
